## Index

### Classes

- SelectionRecorder
- SelectionTypeRecorder

### Variables

- disabler

### Functions

- capitalize
- compressSelection
- create
- createSelection
- meta
- select

## Variables

### disabler

disabler: EventHandler = new events.EventHandler()

- Defined in selection.ts:13

## Functions

### capitalize

- capitalize(s: string): string

- - Defined in selection.ts:32

  #### Parameters

  - ##### s: string

  #### Returns string

### compressSelection

- compressSelection(path: ActionNode[]): Array<ActionNode>

- - Defined in selection.ts:88

  #### Parameters

  - ##### path: ActionNode[]

  #### Returns Array<ActionNode>

### create

- create(graph: ProvenanceGraph, type?: string, options?: any): SelectionRecorder

- - Defined in selection.ts:177

  #### Parameters

  - ##### graph: ProvenanceGraph

  - ##### Optional type: string

  - ##### Default value options: any = {}

  #### Returns SelectionRecorder

### createSelection

- createSelection(idtype: IDType, type: string, range: Range, old?: Range, animated?: boolean): any

- - Defined in selection.ts:71

  create a selection command

  #### Parameters

  - ##### idtype: IDType

  - ##### type: string

  - ##### range: Range

  - ##### Default value old: Range = null

    optional the old selection for inversion

  - ##### Default value animated: boolean = false

  #### Returns any

### meta

- meta(idtype: IDType, type: string, range: Range): any

- - Defined in selection.ts:36

  #### Parameters

  - ##### idtype: IDType

  - ##### type: string

  - ##### range: Range

  #### Returns any

### select

- select(inputs: IObjectRef<any>[], parameter: any, graph: any, within: any): ICmdResult

- - Defined in selection.ts:16

  #### Parameters

  - ##### inputs: IObjectRef<any>[]

  - ##### parameter: any

  - ##### graph: any

  - ##### within: any

  #### Returns ICmdResult

Generated using TypeDoc